package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 流程审批信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pub_approval_process")
public class PubApprovalProcess implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId("pap_id")
    private String papId;

    /**
     * 业务名称
     */
    @TableField("pap_business_name")
    private String papBusinessName;

    /**
     * 表名称
     */
    @TableField("pap_table_name")
    private String papTableName;

    /**
     * 类型:0-系统定义视图;1-自定义链接
     */
    @TableField("pap_type")
    private String papType;

    /**
     * 链接
     */
    @TableField("pap_url")
    private String papUrl;

    /**
     * 备用字段1
     */
    @TableField("pap_remark")
    private String papRemark;

    /**
     * 备用字段2
     */
    @TableField("pap_remark2")
    private String papRemark2;

    /**
     * 备用字段3
     */
    @TableField("pap_remark3")
    private String papRemark3;

    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * 回调地址-适用于审批不只修改状态,还修改某些字段值
     */
    @TableField("pap_token_url")
    private String papTokenUrl;


}
