package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业链属关系表
 * </p>
 *
 * @author songqg
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_company_rel")
public class SysCompanyRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("scr_id")
    private String scrId;

    /**
     * 发起方
     */
    @TableField("scr_launch_company_id")
    private String scrLaunchCompanyId;

    /**
     * 接收方
     */
    @TableField("scr_receive_company_id")
    private String scrReceiveCompanyId;

    /**
     * 00:待链属, 01:正常, 02:拒绝链属
     */
    @TableField("scr_status")
    private String scrStatus;

    /**
     * 链属关系(发起方) 00:供应商 01:核心企业
     */
    @TableField("scr_launch_type")
    private String scrLaunchType;

    /**
     * 链属关系(接收方) 00:供应商 01:核心企业
     */
    @TableField("scr_receive_type")
    private String scrReceiveType;

    /**
     * 联系人
     */
    @TableField("scr_contarct")
    private String scrContarct;

    /**
     * 联系电话
     */
    @TableField("scr_contarct_phone")
    private String scrContarctPhone;

    /**
     * 邮箱
     */
    @TableField("scr_contarct_email")
    private String scrContarctEmail;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
