package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.SysRole;
import com.huyi.task.base.mapper.SysRoleMapper;
import com.huyi.task.base.service.ISysRoleService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: SysRoleServiceImpl<br>
 * Description: ISysRoleService实现 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements ISysRoleService {

    @Autowired
    private SysRoleMapper sysRoleMapper;

    @Override
    public IPage<SysRole> findSysRoles(QueryRequest request, LambdaQueryWrapper<SysRole> wrapper) {
        Page<SysRole> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysRole> findSysRoles(LambdaQueryWrapper<SysRole> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysRole(SysRole sysRole) {
        this.save(sysRole);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysRole(SysRole sysRole) {
        this.saveOrUpdate(sysRole);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysRole(LambdaQueryWrapper<SysRole> wrapper) {
	    this.remove(wrapper);
	}
}
