package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcFinanceFileRel;
import com.huyi.task.base.mapper.ZcFinanceFileRelMapper;
import com.huyi.task.base.service.IZcFinanceFileRelService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcFinanceFileRelServiceImpl<br>
 * Description: IZcFinanceFileRelService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-31  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcFinanceFileRelServiceImpl extends ServiceImpl<ZcFinanceFileRelMapper, ZcFinanceFileRel> implements IZcFinanceFileRelService {

    @Autowired
    private ZcFinanceFileRelMapper zcFinanceFileRelMapper;

    @Override
    public IPage<ZcFinanceFileRel> findZcFinanceFileRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceFileRel> wrapper) {
        Page<ZcFinanceFileRel> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcFinanceFileRel> findZcFinanceFileRels(LambdaQueryWrapper<ZcFinanceFileRel> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcFinanceFileRel(ZcFinanceFileRel zcFinanceFileRel) {
        this.save(zcFinanceFileRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcFinanceFileRel(ZcFinanceFileRel zcFinanceFileRel) {
        this.saveOrUpdate(zcFinanceFileRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcFinanceFileRel(LambdaQueryWrapper<ZcFinanceFileRel> wrapper) {
	    this.remove(wrapper);
	}
}
