package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcFinanceInf;
import com.huyi.task.base.mapper.ZcFinanceInfMapper;
import com.huyi.task.base.service.IZcFinanceInfService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcFinanceInfServiceImpl<br>
 * Description: IZcFinanceInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcFinanceInfServiceImpl extends ServiceImpl<ZcFinanceInfMapper, ZcFinanceInf> implements IZcFinanceInfService {

    @Autowired
    private ZcFinanceInfMapper zcFinanceInfMapper;

    @Override
    public IPage<ZcFinanceInf> findZcFinanceInfs(QueryRequest request, LambdaQueryWrapper<ZcFinanceInf> wrapper) {
        Page<ZcFinanceInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcFinanceInf> findZcFinanceInfs(LambdaQueryWrapper<ZcFinanceInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcFinanceInf(ZcFinanceInf zcFinanceInf) {
        this.save(zcFinanceInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcFinanceInf(ZcFinanceInf zcFinanceInf) {
        this.saveOrUpdate(zcFinanceInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcFinanceInf(LambdaQueryWrapper<ZcFinanceInf> wrapper) {
	    this.remove(wrapper);
	}
}
