package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.ZcFinanceProduct;
import com.huyi.task.base.mapper.ZcFinanceProductMapper;
import com.huyi.task.base.service.IZcFinanceProductService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: ZcFinanceProductServiceImpl<br>
 * Description: IZcFinanceProductService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcFinanceProductServiceImpl extends ServiceImpl<ZcFinanceProductMapper, ZcFinanceProduct> implements IZcFinanceProductService {

    @Autowired
    private ZcFinanceProductMapper zcFinanceProductMapper;

    @Override
    public IPage<ZcFinanceProduct> findZcFinanceProducts(QueryRequest request, LambdaQueryWrapper<ZcFinanceProduct> wrapper) {
        Page<ZcFinanceProduct> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcFinanceProduct> findZcFinanceProducts(LambdaQueryWrapper<ZcFinanceProduct> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcFinanceProduct(ZcFinanceProduct zcFinanceProduct) {
        this.save(zcFinanceProduct);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcFinanceProduct(ZcFinanceProduct zcFinanceProduct) {
        this.saveOrUpdate(zcFinanceProduct);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcFinanceProduct(LambdaQueryWrapper<ZcFinanceProduct> wrapper) {
	    this.remove(wrapper);
	}
}
