package com.huyi.task.taskMan.schedule;

import com.huyi.task.base.entity.ZcFinanceProComRel;
import com.huyi.task.base.service.IZcFinanceProComRelService;
import com.huyi.task.taskMan.service.CreditTaskService;
import com.tianhu.common.core.utils.CommonUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
public class CreditTask {
    private static final Logger log = LoggerFactory.getLogger(CreditTask.class);

    @Autowired
    private CreditTaskService   creditTaskService;
    @Autowired
    private IZcFinanceProComRelService financeProComRelService;

    /**
     * 授信失效定时跑批
     */
    //每2分钟
    //@Scheduled(cron = "0 */2 * * * ?")
    //每天凌晨一点
    @Scheduled(cron = "0 0 1 * * ?")
    private void changeCreditStates() throws Exception{
        Map<String,String>  map = new HashMap();
        List<Map> list = creditTaskService.selectExpireCredit(map);
        for(int i =0 ; i < list.size();i++){
            Map rel = list.get(i);
            //获取主键
            String zfpcrId = CommonUtil.objToString(rel.get("zfpcrId"));
            ZcFinanceProComRel proComRel = new ZcFinanceProComRel();
            proComRel.setZfpcrId(zfpcrId);
            proComRel.setZfpcrStatus("01");
            financeProComRelService.updateById(proComRel);
        }
    }


}

